Package org.apache.ignite.internal.management.cdc

## Class CdcCacheDataResendTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<CdcResendCommandArg,​Void,​Void>
  - - org.apache.ignite.internal.management.cdc.CdcCacheDataResendTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<CdcResendCommandArg>,​VisorTaskResult<Void>>`

    @GridInternal
    public class CdcCacheDataResendTask
    extends VisorMultiNodeTask<CdcResendCommandArg,​Void,​Void>

Task to forcefully resend all cache data to CDC. Iterates over caches and writes primary copies of data entries to the WAL to get captured by CDC.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`CdcCacheDataResendTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<CdcResendCommandArg,​Void>` `job​(CdcResendCommandArg arg)`
`protected Collection<UUID>` `jobNodes​(VisorTaskArgument<CdcResendCommandArg> arg)`
`protected @Nullable Void` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CdcCacheDataResendTask

    public CdcCacheDataResendTask()

### Method Detail

#### job

    protected VisorJob<CdcResendCommandArg,​Void> job​(CdcResendCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CdcResendCommandArg,​Void,​Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### jobNodes

    protected Collection<UUID> jobNodes​(VisorTaskArgument<CdcResendCommandArg> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<CdcResendCommandArg,​Void,​Void>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

#### reduce0

    @Nullable
    protected @Nullable Void reduce0​(List<ComputeJobResult> results)
                              throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<CdcResendCommandArg,​Void,​Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.